{ config, lib, pkgs, ... }:
let
  domain = "music.feal.no";
  cfg = config.services.navidrome;
in {
  services.navidrome = {
    enable = true;
    settings = {
      BaseUrl = "https://${domain}";
      EnableSharing = true;
      EnableTranscodingConfig = true;
      MusicFolder = "/tank/media/music/";
      SubsonicArtistParticipations = true;
    };
  };

  services.nginx.virtualHosts."${domain}".locations."/" = {
    proxyPass = "http://${cfg.settings.Address}:${toString cfg.settings.Port}";
  };
}
